/*
 * @Author: Kane
 * @Date: 2023-02-28 14:48:30
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/data/cpicxim/StuffInfo.ts
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

class StaffInfo
{
    constructor(
        p13uid: string,
        staff_code: string,
        staff_name: string,
        department_code: string,
        department_name: string,
        section_office_code: string,
        section_office_name: string
    )
    {
        this._stuffCode = staff_code;
        this._stuffName = staff_name;
        this._p13uid = p13uid;
        this._department_code = department_code;
        this._department_name = department_name;
        this._section_office_code = section_office_code;
        this._section_office_name = section_office_name;
    }

    public get stuffCode(): string
    {
        return this._stuffCode;
    }

    public set stuffCode(stuff_code: string)
    {
        this._stuffCode = stuff_code;
    }

    public get stuffName(): string
    {
        return this._stuffName;
    }

    public set stuffName(stuff_name: string)
    {
        this._stuffName = stuff_name;
    }

    public get P13UID(): string
    {
        return this._p13uid;
    }

    public set P13UID(p13uid: string)
    {
        this._p13uid = p13uid;
    }

    public set departmentCode(department_code: string)
    {
        this._department_code = department_code;
    }

    public get departmentCode()
    {
        return this._department_code;
    }

    public set departmentName(department_name: string)
    {
        this._department_name = department_name;
    }

    public get departmentName()
    {
        return this._department_name;
    }

    private _stuffCode: string;
    private _stuffName: string;
    private _p13uid: string;
    private _department_code: string;
    private _department_name: string;
    private _section_office_code: string;
    private _section_office_name: string;
}

export { StaffInfo };

