/*
 * @Author: Kane
 * @Date: 2023-03-02 14:48:35
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/utils/account.ts
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

import { service as instance } from "./api/request";
import { API_URL } from "./api/config";
interface LoginInfo
{
    p13account: string;
    password: string;
}

function login(data: LoginInfo)
{
    return instance.request(
        {
            method: "post",
            url: API_URL.URL_LOGIN,
            data: data,
        }
    );
}

export { LoginInfo, login };